[gentoo-portage-dev] [PATCH v2] emerge --search: auto-detect regular expressions (bug 737480)

2020-09-01 Thread Zac Medico
Automatically detect regular expressions when the search string contains any of these regular expression characters or character sequences: ^ $ * [ ] { } | ? .+ This simplifies usage, so that users no longer have to remember to prefix regular expressions with the % character. The new behavior

[gentoo-dev] Last rites: dev-go/siphash

2020-09-01 Thread Marek Szuba
# Marek Szuba (2020-09-01) # Uses golang-* eclasses, only a library, all former reverse # dependencies have long since switched to vendoring. # Removal in 30 days. Bug #732130. dev-go/siphash -- Marecki signature.asc Description: OpenPGP digital signature

Re: [gentoo-dev] Please port your packages to Python 3.8

2020-09-01 Thread Alexey Sokolov
вт, 1 сент. 2020 г. в 13:06, Rich Freeman : > > On Tue, Sep 1, 2020 at 7:02 AM Michał Górny wrote: > > > > QA reports provide a list [2] and a graph [3] of packages needing > > porting. > > These lists would be far more useful if they actually listed the > maintainer(s) of each package. Then

Re: [gentoo-dev] Please port your packages to Python 3.8

2020-09-01 Thread Michał Górny
On Tue, 2020-09-01 at 08:06 -0400, Rich Freeman wrote: > On Tue, Sep 1, 2020 at 7:02 AM Michał Górny wrote: > > QA reports provide a list [2] and a graph [3] of packages needing > > porting. > > These lists would be far more useful if they actually listed the > maintainer(s) of each package.

Re: [gentoo-dev] RFC: pgo - a command line interface for packages.g.o

2020-09-01 Thread Michael Orlitzky
On 2020-09-01 08:38, Max Magorsch wrote: > Do you think this is something you would be interested in? Do you > have any features you like to see included in this case? Yes! Here's a trick that bugzilla cannot do: show me the bugs that are assigned to me **or a project that I'm a member of**.

[gentoo-dev] RFC: pgo - a command line interface for packages.g.o

2020-09-01 Thread Max Magorsch
Hi all, The tl;dr is that I'm glad to announce pgo[0] - a command-line interface for packages.gentoo.org and I'm looking for your feedback here. Some more information: Some time ago I announced the new packages.g.o GraphQL API. Now, pgo is using this API to display information about packages

Re: [gentoo-dev] Please port your packages to Python 3.8

2020-09-01 Thread Rich Freeman
On Tue, Sep 1, 2020 at 7:02 AM Michał Górny wrote: > > QA reports provide a list [2] and a graph [3] of packages needing > porting. These lists would be far more useful if they actually listed the maintainer(s) of each package. Then devs could just grep to discover if any of their packages need

[gentoo-dev] Please port your packages to Python 3.8

2020-09-01 Thread Michał Górny
Hello, Following the timeline published earlier (and copied to [1]), Python 3.7 deprecation starts today. All developers are requested to install Python 3.8 and start testing their packages against it. While at it, testing against Python 3.9 would also be welcome. QA reports provide a list [2]

[gentoo-dev] Last rites: dev-cpp/icnc, dev-db/tokumx, net-fs/nfstest, sys-boot/udk, sys-cluster/pbs-python

2020-09-01 Thread Michał Górny
# Michał Górny (2020-09-01) # The following packages are Python 2 only. All but sys-boot/udk have # no reverse dependencies; sys-boot/udk's only revdep is sys-boot/refind # and it removed support for udk in its newest version. Their # maintainers have either not replied or requested removing

[gentoo-portage-dev] [PATCH] egencache --update-pkg-desc-index: emulate esync --verbose output (bug 737470)

2020-09-01 Thread Zac Medico
When the --verbose flag is given, make --update-pkg-desc-index emulate esync --verbose output. Example: * Searching for changes [ N] acct-group/ultimaker (0): Group for ultimaker [ N] acct-user/ultimaker (0): User for ultimaker [ U] www-client/opera (70.0.3728.144): A fast and secure web

[gentoo-dev] Last rites: app-text/fbless

2020-09-01 Thread Michał Górny
# Michał Górny (2020-09-01) # The GitHub repository is gone and upstream's homepage lists only old # versions. Python 2 only. Debian has a py3 patch but it is incomplete # and fbless crashes when opening a file. # Removal in 30 days. Bug #734578. app-text/fbless -- Best regards, Michał Górny